## xosview 1.3.2-6

=== Makefile ===
#
# specify target machine ( for now only ./linux works real well )
# The ./hpux target will require you to edit some things in xosview.cc
#
# You can now have xosview use system calls rather than the /proc filesystem 
# for gathering some information.  This improves the overhead used by xosview
# quite a bit on my system.  To enable/disable this feature add/remove 
# '-DUSESYSCALLS' to DEFINES.
#
METERDIR = ./linux


EXE      = xosview
CXX      = g++ -m486
CXXFLAGS = -Wall -O3 -fomit-frame-pointer -finline-functions -fexpensive-optimizations -DDEBIAN 
DEFINES  = -DUSESYSCALLS
LFLAGS   = -s
LIBS     = -L/usr/X11R6/lib -lX11
IDIR     = -I./ -I$(METERDIR)
FEXT     = cc


OBJS = \
$(METERDIR)/cpumeter.o \
$(METERDIR)/memmeter.o \
$(METERDIR)/swapmeter.o \
$(METERDIR)/netmeter.o \
$(METERDIR)/netinmeter.o \
$(METERDIR)/netoutmeter.o \
$(METERDIR)/intmeter.o \
$(METERDIR)/serialmeter.o \
xwin.o \
meter.o \
fieldmeter.o \
bitmeter.o \
xosview.o \
main.o


CFILES := $(OBJS:.o=.cc)


#-----------------------------------------------------------------------

all : $(EXE)

$(EXE) : $(OBJS) 
	$(CXX) $(LFLAGS) -o $(EXE) $(OBJS) $(LIBS)

$(EXE).purify : $(OBJS)
	purify -collector=/usr/local/gnu/lib/gcc-lib/hppa1.1-hp-hpux9/2.6.0/ld $(CXX) $(LFLAGS) -o $(EXE).purify $(OBJS) $(LIBS)

depend dep .depend :
	$(CXX) -MM $(DEFINES) $(IDIR) $(CFILES) > .depend

clean :
	rm -f .depend $(EXE) $(OBJS)

foo: foo.o
	$(CXX) $(LFLAGS) -o foo foo.o $(LIBS)

%.o : %.c
	$(CXX) $(CFLAGS) $(IDIR) -c $< -o $@
	
%.o : %.cc
	$(CXX) $(CXXFLAGS) $(DEFINES) $(IDIR) -c $< -o $@


-include .depend

## xosview 1.5.0

=== linux/memstat/Makefile ===
# Generated automatically from Makefile.linux.memstat.in by configure.
#
# Linux memstat Makefile template
#
#
# $Id: Makefile.linux.memstat.in,v 1.1 1996/09/06 05:04:48 mromberg Exp $
#
CC     = gcc
CFLAGS = -D__KERNEL__ -Wall -Wstrict-prototypes \
         -O2 -fomit-frame-pointer -pipe -DMODULE -DMODVERSIONS
FEXT   = c


OBJS = \
memstat.o

DEPFILES := $(OBJS:%=.%.d)
CFILES := $(OBJS:.o=.$(FEXT))

#-----------------------------------------------------------------------

all: memstat.o

#Memstat.o: memstat.o
#	ld -m elf_i386 -r -o Memstat.o memstat.o

clean :
	rm -f $(DEPFILES) $(EXE) $(OBJS) *~ TAGS Memstat.o

tags TAGS :
	etags $(CFILES) *.h

%.o : %.$(FEXT)
	$(CC) $(CFLAGS) -c $< -o $@

.%.o.d : %.$(FEXT)
	@echo building dependencies for $<
	@$(SHELL) -ec '$(CC) -MM $(CFLAGS) $< \
          | sed '\''s/$*.o/$*.o $@/'\'' > $@'

## xosview 1.6.1

=== config/Makefile ===
#
# $Id: Makefile,v 1.2 1996/08/14 06:20:23 mromberg Exp $
#

all: ../configure

../configure: configure.in aclocal.m4
	autoconf configure.in > ../configure
	chmod 755 ../configure

clean:
	rm -f *~

## xosview 1.8.0

=== linux/memstat/Makefile ===
--- 
+++ 
@@ -3,11 +3,13 @@
 # Linux memstat Makefile template
 #
 #
-# $Id: Makefile.linux.memstat.in,v 1.1 1996/09/06 05:04:48 mromberg Exp $
+# $Id$
 #
 CC     = gcc
-CFLAGS = -D__KERNEL__ -Wall -Wstrict-prototypes \
-         -O2 -fomit-frame-pointer -pipe -DMODULE -DMODVERSIONS
+# For some reason (which I am not sure of now), /usr/src/linux/include
+# needs to be added to the search patch or things break.
+CFLAGS = -D__KERNEL__ -Wall -Wstrict-prototypes -I/usr/src/linux/include \
+         -O2 -fomit-frame-pointer -pipe -DMODULE  
 FEXT   = c
 
 
@@ -30,6 +32,9 @@
 tags TAGS :
 	etags $(CFILES) *.h
 
+%.o : %-2.4.$(FEXT)
+	$(CC) $(CFLAGS) -c $< -o $@
+
 %.o : %.$(FEXT)
 	$(CC) $(CFLAGS) -c $< -o $@

## xosview 1.8.2

=== linux/memstat/Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-# Generated automatically from Makefile.linux.memstat.in by configure.
 #
 # Linux memstat Makefile template
 #
@@ -32,7 +31,7 @@
 tags TAGS :
 	etags $(CFILES) *.h
 
-%.o : %-2.4.$(FEXT)
+%.o : %-2.6.$(FEXT)
 	$(CC) $(CFLAGS) -c $< -o $@
 
 %.o : %.$(FEXT)

## xosview 1.8.3+debian

=== config/Makefile ===
#
# $Id$
#

all: ../configure

../configure: configure.in aclocal.m4
	autoconf configure.in > ../configure
	chmod 755 ../configure

clean:
	rm -f *~

#  NOTE:  To update to a new version of autoconf, the config.sub,
#  config.guess, and install-sh scripts need to be copied manually
#  from the autoconf tarball.  (At least, the autoreconf -i flag
#  didn't seem to do the trick.)
#  Updated to autoconf-2.52 on Feb 17, 2001
#  - bgrayson

=== debian/changelog ===
xosview (1.8.3+debian-21) unstable; urgency=low

  * debian/source/format:
    + Added to use source format 3.0 (quilt)
  * debian/watch:
    + Fixed dversionmangle format
  * Update debian/compat to 7

 -- Kartik Mistry <kartik@debian.org>  Tue, 01 Jun 2010 20:02:57 +0530

xosview (1.8.3+debian-20) unstable; urgency=low

  * debian/patches/29_syspower_battery_support.diff:
    + Added patch to fix battery readings for kernel > 2.29.1-686, Thanks to
      Steve McIntyre <93sam@debian.org> for patch (Closes: #527810)
  * debian/control:
    + Updated Standards-Version to 3.8.4 (no changes needed)

 -- Kartik Mistry <kartik@debian.org>  Sun, 21 Mar 2010 11:08:33 +0530

xosview (1.8.3+debian-19) unstable; urgency=low

  * debian/patches/28_sh4_support.diff:
    + Added sh4 support. Thanks to Nobuhiro Iwamatsu <iwamatsu@nigauri.org> for
      patch (Closes: #549174)

 -- Kartik Mistry <kartik@debian.org>  Fri, 02 Oct 2009 10:35:35 +0530

xosview (1.8.3+debian-18) unstable; urgency=low

  * debian/patches/27_fix_const.diff:
    + Fixed FTBFS with gcc-4.4, Thanks to Stefan Potyra <sistpoty@ubuntu.com>
      (Closes: #548517)

 -- Kartik Mistry <kartik@debian.org>  Sun, 27 Sep 2009 01:36:58 +0530

xosview (1.8.3+debian-17) unstable; urgency=medium

  * debian/control:
    + Added missing Recommends on xfonts-base, it can't be Depends as Debian
      Policy Manual section 11.8.5, Thanks to Marc Coll <marcoll@ya.com> for
      reporting bug (Closes: #547499)
  * Urgency set to medium due to RC bug fix
  * Fixed patch name in last changelog entry

 -- Kartik Mistry <kartik@debian.org>  Mon, 21 Sep 2009 09:20:55 +0530

xosview (1.8.3+debian-16) unstable; urgency=low

  * Migrated to quilt from dpatch
  * debian/patches/26_spelling_fix.diff:
    + Added patch to fix spelling mistake
  * debian/control:
    + Updated Build-Depends for quilt (>= 0.40)
    + Wrapped up Build-Depends
  * debian/rules:
    + Changes for quilt migration
  * debian/README.source:
    + Updated for quilt usage

 -- Kartik Mistry <kartik@debian.org>  Sun, 20 Sep 2009 11:39:09 +0530

xosview (1.8.3+debian-15) unstable; urgency=low

  * Added debian/README.source
  * Added debian/xosview.desktop
  * Added debian/xosview.xpm from Xosview homepage
  * debian/control:
    + Upated debhelper dependency to 7
    + Updated Standards-Version to 3.8.3
  * debian/rules:
    + Used dh_prep instead of dh_install -k
    + Added installation for xosview.desktop and xpm icon
  * debian/menu:
    + Added icon xosview.xpm

 -- Kartik Mistry <kartik@debian.org>  Sat, 12 Sep 2009 12:13:47 +0530

xosview (1.8.3+debian-14) unstable; urgency=low

  * debian/patches/24_enhanced_memory.dpatch:
    + Patch for additional memory fields (Closes: #507577)
  * debian/patches/25_iostream_h_FTBFS_fixes.dpatch:
    + Patch to fix FTBFS due to use of iostream.h and fstream.h
  * debian/copyright:
    + Added missing Authors and Copyright owners

 -- Kartik Mistry <kartik@debian.org>  Sun, 02 Aug 2009 09:36:14 +0530

xosview (1.8.3+debian-13) unstable; urgency=low

  * debian/rules:
    + Make sure that old config.* files are not used, Fixed mistake
      in location of config.* files (Closes: #536254)

 -- Kartik Mistry <kartik@debian.org>  Mon, 13 Jul 2009 00:18:59 +0530

xosview (1.8.3+debian-12) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.8.2 (no changes needed)
  * debian/rules:
    + Make sure that old config.* files are not used (Closes: #535711) 
  * debian/copyright:
    + [Lintian] Removed reference to symlinked copyright

 -- Kartik Mistry <kartik@debian.org>  Mon, 06 Jul 2009 10:01:54 +0530

xosview (1.8.3+debian-11) unstable; urgency=low

  * debian/patches/23_cpumeter_guest_time.dpatch:
    + Fixed typo from patch, Thanks to Samuel Thibault for patch update
      (Closes: #502045)

 -- Kartik Mistry <kartik@debian.org>  Sun, 16 Nov 2008 10:27:17 +0530

xosview (1.8.3+debian-10) unstable; urgency=low

  * debian/control:
    + Updated my maintainer email address
  * debian/watch:
    + [Lintian] Fixed to mangle debian from version for DEHS

 -- Kartik Mistry <kartik@debian.org>  Mon, 18 Aug 2008 17:15:40 +0530

xosview (1.8.3+debian-9) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.8.0 (no changes needed)
  * debian/rules:
    + [Lintian] Fixed order of dh_makeshlibs
  * debian/patches/22_fix_valgrind_reports.dpatch:
    + Added patch to fix uninitialized values reported by Valgrind tool,
      Thanks to Michael Karcher <debian@mkarcher.dialup.fu-berlin.de>
      for patch (Closes: #323996)
  * debian/patches/23_cpumeter_guest_time.dpatch:
    + Added patch to add guest time in Linux cpumeter, Thanks to
      Samuel Thibault <samuel.thibault@ens-lyon.org> for patch
      (Closes: #486921)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 24 Jun 2008 21:18:43 +0530

xosview (1.8.3+debian-8) unstable; urgency=low

  * debian/changelog:
    + Fixed missing patch name from previous upload
  * debian/patches/18_handle_high_irq_numbers.dpatch:
    + Added Debian bug number in patch header
  * debian/patches/19_fix_reading_interrupts.dpatch:
    + Fixed patch name in header
    + Added Debian bug number in patch header
  * debian/patches/20_fix_swapmeter.dpatch:
    + Fixed for wrong display value if swap is > 4 GB, Thanks to
      Michael Karcher <debian@mkarcher.dialup.fu-berlin.de> for patch
      (Closes: #151611, #399563)
  * debian/patches/21_fix_unclutter.dpatch:
    + Added patch to fix xosview stops updating the display after
      unclutter has "unhidden" the cursor (Closes: #384453)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 03 Jun 2008 17:37:55 +0530

xosview (1.8.3+debian-7) unstable; urgency=low

  * debian/patches/18_handle_high_irq_numbers.dpatch:
    + Added patch to fix crash due to high irq numbers,
      Thanks to Michael Karcher <debian@mkarcher.dialup.fu-berlin.de>
      for patch (Closes: #483815)
  * debian/patches/19_fix_reading_interrupts.dpatch:


=== debian/control ===
Source: xosview
Section: utils
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper (>= 7),
               autoconf,
               autotools-dev,
               libx11-dev,
               libxpm-dev,
               libxt-dev
Homepage: http://sourceforge.net/projects/xosview/
Standards-Version: 3.8.4

Package: xosview
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: xfonts-base
Description: X based system monitor
 Xosview is a monitor which displays the status of several system based
 parameters. These include CPU usage, load average, memory usage, swap space
 usage, network usage, interrupts and serial port status. Appearance is fully
 configurable via command line or X resources.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CXX=g++

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

configure: configure-stamp
configure-stamp:
	dh_testdir

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config/config.guess
endif
	cd config && $(MAKE)
	./configure CXX=$(CXX) \
		    --build=$(DEB_BUILD_GNU_TYPE) \
		    --host=$(DEB_HOST_GNU_TYPE) \
		    --prefix=/usr \
		    --disable-linux-memstat
	touch $@

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp config.log
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean linux/memstat/Makefile configure
	rm -f config/config.sub config/config.guess

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	install -D -m 0755 xosview debian/xosview/usr/bin/xosview
	install -m 0644 Xdefaults \
		debian/xosview/etc/X11/app-defaults/XOsview
	grep xosvstipple Xdefaults.stipple >> \
		debian/xosview/etc/X11/app-defaults/XOsview
	install -m 0644 $(CURDIR)/debian/xosview.desktop \
		debian/xosview/usr/share/applications
	install -m 0644 $(CURDIR)/debian/xosview.xpm \
		debian/xosview/usr/share/pixmaps

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -k CHANGES
	dh_installdocs
	dh_installmenu
	dh_installman xosview.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=dversionmangle=s/\+debian// \
http://sf.net/xosview/xosview-([\d\.]+)\.tar\.gz

## xosview 1.9.0

=== debian/changelog ===
xosview (1.9.0-1) unstable; urgency=low

  * New upstream release:
    + Dropped all patches from Debian, merged with upstream.
    + Removed debian/xosview.desktop, debian/xosview.xpm, adopted upstream.
  * debian/rules:
    + Added needed build targets.
    + Updated clean target.
  * debian/copyright:
    + Updated to latest DEP-5 format.
    + Added missing copyright and license for some files.
    + Updated Source field for new homepage.
  * debian/control:
    + Updated Homepage.
    + Mention WLAN meter in long description.
  * Updated debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Wed, 16 Nov 2011 10:52:24 +0530

xosview (1.8.3+debian-23) unstable; urgency=low

  * debian/patches/30_wireless_support.diff:
    + Added initial wireless support patch from Tim Ehlers <tehlers@gwdg.de>
      (Closes: #626504)
  * debian/control:
    + Updated Standards-Version to 3.9.2

 -- Kartik Mistry <kartik@debian.org>  Fri, 13 May 2011 08:35:55 +0530

xosview (1.8.3+debian-22) unstable; urgency=low

  * debian/patches/29_syspower_battery_support.diff:
    + Updated patch to include a fallback from energy-reporting batteries to
      charge-reporting ones, Thanks to Alexander Zangerl <az@debian.org> for
      patch (Closes: #617696)
  * debian/control:
    + Updated Standards-Version to 3.9.1 (no changes needed)
  * debian/copyright:
    + Do not mention link to BSD in common-license
    + Updated for DEP-5 r173 format

 -- Kartik Mistry <kartik@debian.org>  Thu, 17 Mar 2011 22:25:36 +0530

=== debian/watch ===
version=3
http://www.pogo.org.uk/~mark/xosview/xosview-(.+)\.tar\.gz

## xosview 1.9.1

=== config/Makefile ===
--- 
+++ 
@@ -1,7 +1,3 @@
-#
-# $Id$
-#
-
 all: ../configure
 
 ../configure: configure.in aclocal.m4

=== debian/changelog ===
xosview (1.9.1-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    + Fixed for upstream location change.

 -- Kartik Mistry <kartik@debian.org>  Thu, 29 Dec 2011 14:59:42 +0530

=== debian/control ===
Source: xosview
Section: utils
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper (>= 7),
               autoconf,
               autotools-dev,
               libx11-dev,
               libxpm-dev,
               libxt-dev
Homepage: https://github.com/hills/xosview
Standards-Version: 3.9.2

Package: xosview
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: xfonts-base
Description: X based system monitor
 Xosview is a monitor which displays the status of several system based
 parameters. These include CPU usage, load average, memory usage, swap space
 usage, network usage, Wireless LAN meter, interrupts and serial port status.
 Appearance is fully configurable via command line or X resources.

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,9 @@
 		    --disable-linux-memstat
 	touch $@
 
-build: configure-stamp build-stamp
+build: configure-stamp build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	$(MAKE)
@@ -36,8 +38,10 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp config.log
-	[ ! -f Makefile ] || $(MAKE) distclean
-	dh_clean linux/memstat/Makefile configure
+	[ ! -f Makefile ] || $(MAKE) clean
+	dh_clean config.status Makefile Makefile.GNU.autodep \
+                 Makefile.config linux/memstat/Makefile linux/Makefile \
+                 Xdefaults
 	rm -f config/config.sub config/config.guess
 
 install:
@@ -47,13 +51,13 @@
 	dh_installdirs
 
 	install -D -m 0755 xosview debian/xosview/usr/bin/xosview
-	install -m 0644 Xdefaults \
+	install -m 0644 Xdefaults.in \
 		debian/xosview/etc/X11/app-defaults/XOsview
 	grep xosvstipple Xdefaults.stipple >> \
 		debian/xosview/etc/X11/app-defaults/XOsview
-	install -m 0644 $(CURDIR)/debian/xosview.desktop \
+	install -m 0644 $(CURDIR)/xosview.desktop \
 		debian/xosview/usr/share/applications
-	install -m 0644 $(CURDIR)/debian/xosview.xpm \
+	install -m 0644 $(CURDIR)/xosview.xpm \
 		debian/xosview/usr/share/pixmaps
 
 binary-indep: build install
@@ -77,4 +81,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## xosview 1.9.2

=== debian/changelog ===
xosview (1.9.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    + Updated DEP-5 URL.

 -- Kartik Mistry <kartik@debian.org>  Wed, 01 Feb 2012 09:34:44 +0530

## xosview 1.9.3

=== Makefile ===
-include .config

INSTALL ?= install
PLATFORM ?= linux

# Installation paths

PREFIX ?= /usr/local

BINDIR ?= $(PREFIX)/bin
EXECDIR ?= $(PREFIX)/libexec
MANDIR ?= $(PREFIX)/share/man
DOCDIR ?= $(PREFIX)/share/doc

# Optional build arguments; user may wish to override

OPTFLAGS ?= -Wall -O3

# Required build arguments

CPPFLAGS += $(OPTFLAGS) -I.
LDLIBS += -lX11

OBJS = Host.o \
	Xrm.o \
	bitfieldmeter.o \
	bitmeter.o \
	defaultstring.o \
	fieldmeter.o \
	fieldmeterdecay.o \
	fieldmetergraph.o \
	llist.o \
	main.o \
	meter.o \
	xosview.o \
	xwin.o

# Optional platform type

ifeq ($(PLATFORM), linux)
OBJS += linux/MeterMaker.o \
	linux/btrymeter.o \
	linux/cpumeter.o \
	linux/diskmeter.o \
	linux/intmeter.o \
	linux/lmstemp.o \
	linux/loadmeter.o \
	linux/memmeter.o \
	linux/netmeter.o \
	linux/nfsmeter.o \
	linux/pagemeter.o \
	linux/raidmeter.o \
	linux/serialmeter.o \
	linux/swapmeter.o \
	linux/wirelessmeter.o
CPPFLAGS += -Ilinux/
endif

ifeq ($(PLATFORM), bsd)
OBJS += bsd/MeterMaker.o \
        bsd/btrymeter.o \
        bsd/cpumeter.o \
        bsd/diskmeter.o \
        bsd/intmeter.o \
        bsd/intratemeter.o \
        bsd/kernel.o \
        bsd/loadmeter.o \
        bsd/memmeter.o \
        bsd/netmeter.o \
        bsd/pagemeter.o \
        bsd/swapinternal.o \
        bsd/swapmeter.o
CPPFLAGS += -Ibsd/
endif

ifeq ($(PLATFORM), irix65)
OBJS += irix65/MeterMaker.o \
        irix65/cpumeter.o \
        irix65/diskmeter.o \
        irix65/gfxmeter.o \
        irix65/loadmeter.o \
        irix65/memmeter.o \
        irix65/sarmeter.o
CPPFLAGS += -Iirix65/
endif

ifeq ($(PLATFORM), sunos5)
OBJS += sunos5/MeterMaker.o \
        sunos5/cpumeter.o \
        sunos5/diskmeter.o \
        sunos5/loadmeter.o \
        sunos5/memmeter.o \
        sunos5/netmeter.o \
        sunos5/pagemeter.o \
        sunos5/swapmeter.o
CPPFLAGS += -Isunos5/
endif

DEPS := $(OBJS:.o=.d)

xosview:	$(OBJS)
		$(CXX) $(LDFLAGS) -o $@ $^ $(LDLIBS)

defaultstring.cc:	Xdefaults defresources.awk
		gawk -f defresources.awk Xdefaults > defaultstring.cc

Xrm.o:		CXXFLAGS += -Wno-write-strings

.PHONY:		dist install clean

dist:
		./mkdist $(VERSION)

install:	xosview
		$(INSTALL) -Dm 755 xosview $(DESTDIR)$(BINDIR)
		$(INSTALL) -Dm 644 xosview.1 $(DESTDIR)$(MANDIR)/man1

clean:
		rm -f xosview $(OBJS) $(DEPS)

-include $(DEPS)

=== debian/changelog ===
xosview (1.9.3-3) unstable; urgency=low

  * debian/control:
    + ok. Drop hurd-i386 as of now, until we really fix it at upstream.
  * debian/patches:
    + Refreshed patch to fix FTBFS on s390/s390x.

 -- Kartik Mistry <kartik@debian.org>  Mon, 23 Apr 2012 21:56:29 +0530

xosview (1.9.3-2) unstable; urgency=low

  * debian/control:
    + Add hurd-i386 to Architecture list.
  * Added patch to fix FTBFS on s390/s390x.

 -- Kartik Mistry <kartik@debian.org>  Mon, 23 Apr 2012 17:36:26 +0530

xosview (1.9.3-1) unstable; urgency=low

  * New upstream release:
    + The build no longer uses GNU autoconfig. Control is via Makefile
      variables.
  * debian/rules:
    + Removed autoconfig/configure, not needed now.
  * debian/control:
    + Updated Build-Depends.
    + Set Architecture to 'linux-any', until bsd/ and gnu/ parts are fixed in
      upstream.

 -- Kartik Mistry <kartik@debian.org>  Mon, 23 Apr 2012 12:14:43 +0530

xosview (1.9.2-2) unstable; urgency=low

  * debian/rules:
    + Fixed build-arch target fun. Fixes FTBFS. Thanks to #debian-devel for
      help (Closes: #666353)
  * debian/control:
    + Updated Standards-Version to 3.9.3
  * debian/copyright:
    + Updated to copyright-format 1.0

 -- Kartik Mistry <kartik@debian.org>  Sat, 31 Mar 2012 00:01:48 +0530

=== debian/control ===
Source: xosview
Section: utils
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper (>= 7), gawk, libx11-dev, libxpm-dev, libxt-dev
Homepage: https://github.com/hills/xosview
Standards-Version: 3.9.3

Package: xosview
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: xfonts-base
Description: X based system monitor
 Xosview is a monitor which displays the status of several system based
 parameters. These include CPU usage, load average, memory usage, swap space
 usage, network usage, Wireless LAN meter, interrupts and serial port status.
 Appearance is fully configurable via command line or X resources.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CXX=g++

#DEB_BUILD_ARCH_OS ?=$(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

#experimental kfreebsd-* support
#ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
#	$(MAKE) PLATFORM=bsd
#endif

	#Default is Linux
	$(MAKE) PLATFORM=linux
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean defaultstring.cc

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	install -D -m 0755 xosview debian/xosview/usr/bin/xosview
	install -m 0644 Xdefaults \
		debian/xosview/etc/X11/app-defaults/XOsview
	grep xosvstipple Xdefaults.stipple >> \
		debian/xosview/etc/X11/app-defaults/XOsview
	install -m 0644 $(CURDIR)/xosview.desktop \
		debian/xosview/usr/share/applications
	install -m 0644 $(CURDIR)/xosview.xpm \
		debian/xosview/usr/share/pixmaps

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -k CHANGES
	dh_installdocs
	dh_installmenu
	dh_installman xosview.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## xosview 1.12

=== Makefile ===
--- 
+++ 
@@ -8,9 +8,7 @@
 PREFIX ?= /usr/local
 
 BINDIR ?= $(PREFIX)/bin
-EXECDIR ?= $(PREFIX)/libexec
 MANDIR ?= $(PREFIX)/share/man
-DOCDIR ?= $(PREFIX)/share/doc
 
 # Optional build arguments; user may wish to override
 
@@ -18,7 +16,7 @@
 
 # Required build arguments
 
-CPPFLAGS += $(OPTFLAGS) -I.
+CPPFLAGS += $(OPTFLAGS) -I. -MMD
 LDLIBS += -lX11
 
 OBJS = Host.o \
@@ -52,7 +50,9 @@
 	linux/raidmeter.o \
 	linux/serialmeter.o \
 	linux/swapmeter.o \
-	linux/wirelessmeter.o
+	linux/wirelessmeter.o \
+	linux/acpitemp.o \
+	linux/coretemp.o
 CPPFLAGS += -Ilinux/
 endif
 
@@ -68,8 +68,9 @@
         bsd/memmeter.o \
         bsd/netmeter.o \
         bsd/pagemeter.o \
-        bsd/swapinternal.o \
-        bsd/swapmeter.o
+        bsd/swapmeter.o \
+        bsd/coretemp.o \
+        bsd/sensor.o
 CPPFLAGS += -Ibsd/
 endif
 
@@ -112,8 +113,8 @@
 		./mkdist $(VERSION)
 
 install:	xosview
-		$(INSTALL) -Dm 755 xosview $(DESTDIR)$(BINDIR)
-		$(INSTALL) -Dm 644 xosview.1 $(DESTDIR)$(MANDIR)/man1
+		$(INSTALL) -Dm 755 xosview $(DESTDIR)$(BINDIR)/xosview
+		$(INSTALL) -Dm 644 xosview.1 $(DESTDIR)$(MANDIR)/man1/xosview.1
 
 clean:
 		rm -f xosview $(OBJS) $(DEPS)

=== debian/changelog ===
xosview (1.12-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 3.9.4

 -- Kartik Mistry <kartik@debian.org>  Fri, 28 Dec 2012 11:55:16 +0530

xosview (1.11-1) unstable; urgency=low

  * New upstream release.

 -- Kartik Mistry <kartik@debian.org>  Mon, 15 Oct 2012 08:48:03 +0530

xosview (1.9.4-1) unstable; urgency=low

  * New upstream release:
    + Dropped patch debian/patches/ftbfs_fixes.diff, merged upstream.
  * debian/rules, debian/control:
    + Added hardening support.
    + Added VCS-* fields for collab-maint repository.
  * debian/copyright:
    + Removed duplicate Copyright fields.

 -- Kartik Mistry <kartik@debian.org>  Thu, 06 Sep 2012 19:17:53 +0530

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,16 @@
 Section: utils
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper (>= 7), gawk, libx11-dev, libxpm-dev, libxt-dev
+Build-Depends: debhelper (>= 7),
+               dpkg-dev (>= 1.16.1),
+               gawk,
+               libx11-dev,
+               libxpm-dev,
+               libxt-dev
+Standards-Version: 3.9.4
 Homepage: https://github.com/hills/xosview
-Standards-Version: 3.9.3
+Vcs-Git: git://anonscm.debian.org/collab-maint/xosview.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xosview.git;a=summary
 
 Package: xosview
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -3,22 +3,26 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 CXX=g++
 
-#DEB_BUILD_ARCH_OS ?=$(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
+DEB_BUILD_ARCH_OS ?=$(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
 
 build: build-arch build-indep
 build-arch: build-stamp
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
-
 #experimental kfreebsd-* support
-#ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
+#ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd-i386)
+#	$(MAKE) PLATFORM=bsd
+#elseif
+#ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd-amd64)
 #	$(MAKE) PLATFORM=bsd
 #endif
-
-	#Default is Linux
+#endif
 	$(MAKE) PLATFORM=linux
 	touch $@

## xosview 1.14

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 -include .config
 
+AWK ?= awk
 INSTALL ?= install
 PLATFORM ?= linux
 
@@ -103,7 +104,7 @@
 		$(CXX) $(LDFLAGS) -o $@ $^ $(LDLIBS)
 
 defaultstring.cc:	Xdefaults defresources.awk
-		gawk -f defresources.awk Xdefaults > defaultstring.cc
+		$(AWK) -f defresources.awk Xdefaults > defaultstring.cc
 
 Xrm.o:		CXXFLAGS += -Wno-write-strings
 
@@ -113,10 +114,12 @@
 		./mkdist $(VERSION)
 
 install:	xosview
-		$(INSTALL) -Dm 755 xosview $(DESTDIR)$(BINDIR)/xosview
-		$(INSTALL) -Dm 644 xosview.1 $(DESTDIR)$(MANDIR)/man1/xosview.1
+		$(INSTALL) -d $(DESTDIR)$(BINDIR)
+		$(INSTALL) -d $(DESTDIR)$(MANDIR)/man1
+		$(INSTALL) -m 755 xosview $(DESTDIR)$(BINDIR)/xosview
+		$(INSTALL) -m 644 xosview.1 $(DESTDIR)$(MANDIR)/man1/xosview.1
 
 clean:
-		rm -f xosview $(OBJS) $(DEPS)
+		rm -f xosview $(OBJS) $(DEPS) defaultstring.cc
 
 -include $(DEPS)

=== debian/changelog ===
xosview (1.14-3) unstable; urgency=low

  * Uploaded to unstable.
  * Builds fine with m68k with 1.14 version (Closes: #696872).

 -- Kartik Mistry <kartik@debian.org>  Mon, 06 May 2013 14:15:02 +0530

xosview (1.14-2) experimental; urgency=low

  * debian/rules:
    + Platform detection improvement, Thanks to Pino Toscano <pino@debian.org>
      (Closes: #706170).
  * debian/control:
    + Added libkvm-dev as build-depends for kfreebsd-*

 -- Kartik Mistry <kartik@debian.org>  Fri, 26 Apr 2013 13:46:38 +0530

xosview (1.14-1) experimental; urgency=low

  * New upstream release.
  * debian/rules, debian/control:
    + Enabled experimental support for kFreeBSD-* archs.

 -- Kartik Mistry <kartik@debian.org>  Wed, 24 Apr 2013 15:26:56 +0530

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 7),
                dpkg-dev (>= 1.16.1),
                gawk,
+               libkvm-dev [kfreebsd-any],
                libx11-dev,
                libxpm-dev,
                libxt-dev
@@ -14,7 +15,7 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xosview.git;a=summary
 
 Package: xosview
-Architecture: linux-any
+Architecture: linux-any kfreebsd-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: xfonts-base
 Description: X based system monitor

=== debian/rules ===
--- 
+++ 
@@ -9,21 +9,20 @@
 CXX=g++
 
 DEB_BUILD_ARCH_OS ?=$(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
+ifeq ($(DEB_BUILD_ARCH_OS),linux)
+  PLATFORM=linux
+else ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
+  PLATFORM=bsd
+else
+  $(error Missing implementation for $(DEB_BUILD_ARCH_OS))
+endif
 
 build: build-arch build-indep
 build-arch: build-stamp
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
-#experimental kfreebsd-* support
-#ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd-i386)
-#	$(MAKE) PLATFORM=bsd
-#elseif
-#ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd-amd64)
-#	$(MAKE) PLATFORM=bsd
-#endif
-#endif
-	$(MAKE) PLATFORM=linux
+	$(MAKE) PLATFORM=$(PLATFORM)
 	touch $@
 
 clean:

## xosview 1.16

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # Required build arguments
 
 CPPFLAGS += $(OPTFLAGS) -I. -MMD
-LDLIBS += -lX11
+LDLIBS += -lX11 -lXpm
 
 OBJS = Host.o \
 	Xrm.o \
@@ -98,6 +98,16 @@
 CPPFLAGS += -Isunos5/
 endif
 
+ifeq ($(PLATFORM), gnu)
+OBJS += gnu/get_def_pager.o \
+	gnu/loadmeter.o \
+	gnu/memmeter.o \
+	gnu/MeterMaker.o \
+	gnu/pagemeter.o \
+	gnu/swapmeter.o
+CPPFLAGS += -Ignu/
+endif
+
 DEPS := $(OBJS:.o=.d)
 
 xosview:	$(OBJS)

=== debian/changelog ===
xosview (1.16-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 3.9.5

 -- Kartik Mistry <kartik@debian.org>  Fri, 27 Dec 2013 19:15:49 +0530

xosview (1.15-2) unstable; urgency=low

  * debian/rules:
    + Fix FTBFS on hurd, Thanks to Samuel Thibault for patch (Closes: #714511).

 -- Kartik Mistry <kartik@debian.org>  Mon, 12 Aug 2013 13:19:12 +0530

xosview (1.15-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Arch set to any since upstream fixed build on hurd.

 -- Kartik Mistry <kartik@debian.org>  Sun, 11 Aug 2013 11:50:06 +0530

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
                libx11-dev,
                libxpm-dev,
                libxt-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/hills/xosview
 Vcs-Git: git://anonscm.debian.org/collab-maint/xosview.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xosview.git;a=summary
 
 Package: xosview
-Architecture: linux-any kfreebsd-any
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: xfonts-base
 Description: X based system monitor

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
   PLATFORM=linux
 else ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
   PLATFORM=bsd
+else ifeq ($(DEB_BUILD_ARCH_OS),hurd)
+  PLATFORM=gnu
 else
   $(error Missing implementation for $(DEB_BUILD_ARCH_OS))
 endif

## xosview 1.17

=== Makefile ===
--- 
+++ 
@@ -37,11 +37,14 @@
 # Optional platform type
 
 ifeq ($(PLATFORM), linux)
-OBJS += linux/MeterMaker.o \
+ARCH = $(shell uname -m)
+OBJS += sensorfieldmeter.o \
+	linux/MeterMaker.o \
 	linux/btrymeter.o \
 	linux/cpumeter.o \
 	linux/diskmeter.o \
 	linux/intmeter.o \
+	linux/intratemeter.o \
 	linux/lmstemp.o \
 	linux/loadmeter.o \
 	linux/memmeter.o \
@@ -52,13 +55,18 @@
 	linux/serialmeter.o \
 	linux/swapmeter.o \
 	linux/wirelessmeter.o \
-	linux/acpitemp.o \
-	linux/coretemp.o
+	linux/acpitemp.o
+ifeq ($(findstring 86,$(ARCH)),86)
+OBJS += linux/coretemp.o
+endif
 CPPFLAGS += -Ilinux/
+LDLIBS += -lm
 endif
 
 ifeq ($(PLATFORM), bsd)
-OBJS += bsd/MeterMaker.o \
+ARCH = $(shell uname -m)
+OBJS += sensorfieldmeter.o \
+        bsd/MeterMaker.o \
         bsd/btrymeter.o \
         bsd/cpumeter.o \
         bsd/diskmeter.o \
@@ -70,9 +78,12 @@
         bsd/netmeter.o \
         bsd/pagemeter.o \
         bsd/swapmeter.o \
-        bsd/coretemp.o \
         bsd/sensor.o
+ifeq ($(ARCH),$(filter $(ARCH),i386 amd64 x86_64))
+OBJS += bsd/coretemp.o
+endif
 CPPFLAGS += -Ibsd/
+LDLIBS += -lm
 endif
 
 ifeq ($(PLATFORM), irix65)
@@ -94,8 +105,11 @@
         sunos5/memmeter.o \
         sunos5/netmeter.o \
         sunos5/pagemeter.o \
-        sunos5/swapmeter.o
-CPPFLAGS += -Isunos5/
+        sunos5/swapmeter.o \
+        sunos5/intratemeter.o
+CPPFLAGS += -Isunos5/ -Wno-write-strings
+LDLIBS += -lkstat -lnsl -lsocket
+INSTALL = ginstall
 endif
 
 ifeq ($(PLATFORM), gnu)

=== debian/changelog ===
xosview (1.17-2) unstable; urgency=medium

  * debian/patches/aarch64_build:
    + arm64 doesn't have sys/io.h and sys/perm.h like many other Linux
      architectures. Patch by Steve McIntyre <93sam@debian.org>
      (Closes: #759064)

 -- Kartik Mistry <kartik@debian.org>  Fri, 09 Oct 2015 21:05:19 +0530

xosview (1.17-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 3.9.6
  * Removed debian/menu as per policy.
  * debian/copyright:
    + Updated for upstream file location changes.

 -- Kartik Mistry <kartik@debian.org>  Thu, 08 Oct 2015 17:43:33 +0530

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                gawk,
                libkvm-dev [kfreebsd-any],
                libx11-dev,
                libxpm-dev,
                libxt-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/hills/xosview
 Vcs-Git: git://anonscm.debian.org/collab-maint/xosview.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xosview.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,6 @@
 	dh_testroot
 	dh_installchangelogs -k CHANGES
 	dh_installdocs
-	dh_installmenu
 	dh_installman xosview.1
 	dh_link
 	dh_strip

## xosview 1.19

=== debian/changelog ===
xosview (1.19-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/aarch64_build:
    + Dropped. Merged upstream.

 -- Kartik Mistry <kartik@debian.org>  Sat, 10 Dec 2016 18:45:30 +0530

xosview (1.18-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/gcc6_compilation:
    + Dropped. Merged upstream.

 -- Kartik Mistry <kartik@debian.org>  Thu, 01 Sep 2016 11:43:58 +0530

xosview (1.17-3) unstable; urgency=low

  * debian/patches/gcc6_compilation:
    + Fix FTBFS with GCC 6 (Closes: #811819)
  * debian/control:
    + Updated to Standards-Version 3.9.8
    + Fixed Vcs-* URLs.

 -- Kartik Mistry <kartik@debian.org>  Thu, 30 Jun 2016 11:11:56 +0530

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                libx11-dev,
                libxpm-dev,
                libxt-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/hills/xosview
-Vcs-Git: git://anonscm.debian.org/collab-maint/xosview.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xosview.git;a=summary
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/xosview.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xosview.git
 
 Package: xosview
 Architecture: any

## xosview 1.20

=== debian/changelog ===
xosview (1.20-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 4.1.3
    + Updated Vcs-* URLs.
  * debian/copyright:
    + Some cleanups. Removed old upstream contacts, use https.
  * Bumped debhelper compat to 11.
  * debian/rules:
    + Set hardening=+all.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #879902)
    + Let dh_auto_build pass cross compilers to make.
    + Fix build/host confusion.
    + Also pass ARCH= to make.

 -- Kartik Mistry <kartik@debian.org>  Sun, 21 Jan 2018 20:31:13 +0530

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: utils
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1),
                gawk,
                libkvm-dev [kfreebsd-any],
                libx11-dev,
                libxpm-dev,
                libxt-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/hills/xosview
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/xosview.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xosview.git
+Vcs-Git: https://salsa.debian.org/debian/xosview.git
+Vcs-Browser: https://salsa.debian.org/debian/xosview
 
 Package: xosview
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,28 +3,31 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
+
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
 
 CXX=g++
 
-DEB_BUILD_ARCH_OS ?=$(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
-ifeq ($(DEB_BUILD_ARCH_OS),linux)
-  PLATFORM=linux
-else ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
-  PLATFORM=bsd
-else ifeq ($(DEB_BUILD_ARCH_OS),hurd)
-  PLATFORM=gnu
-else
-  $(error Missing implementation for $(DEB_BUILD_ARCH_OS))
+PLATFORM_MAP_linux = linux
+PLATFORM_MAP_kfreebsd = bsd
+PLATFORM_MAP_hurd = gnu
+PLATFORM = $(PLATFORM_MAP_$(DEB_HOST_ARCH_OS))
+ifeq ($(PLATFORM),)
+  $(error Missing implementation for $(DEB_HOST_ARCH_OS))
 endif
+
+ARCH_MAP_amd64 = x86_64
+ARCH = $(or $(ARCH_MAP_$(DEB_HOST_ARCH_CPU)),$(DEB_HOST_ARCH_CPU))
 
 build: build-arch build-indep
 build-arch: build-stamp
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE) PLATFORM=$(PLATFORM)
+	dh_auto_build -- PLATFORM=$(PLATFORM) ARCH=$(ARCH)
 	touch $@
 
 clean:

=== debian/watch ===
version=3
http://www.pogo.org.uk/~mark/xosview/releases/xosview-(.+)\.tar\.gz

## xosview 1.21

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,8 @@
 
 BINDIR ?= $(PREFIX)/bin
 MANDIR ?= $(PREFIX)/share/man
+XDGAPPSDIR ?= $(PREFIX)/share/applications
+ICONDIR ?= $(PREFIX)/share/icons/hicolor
 
 # Optional build arguments; user may wish to override
 
@@ -140,8 +142,12 @@
 install:	xosview
 		$(INSTALL) -d $(DESTDIR)$(BINDIR)
 		$(INSTALL) -d $(DESTDIR)$(MANDIR)/man1
+		$(INSTALL) -d $(DESTDIR)$(XDGAPPSDIR)
+		$(INSTALL) -d $(DESTDIR)$(ICONDIR)/32x32/apps
 		$(INSTALL) -m 755 xosview $(DESTDIR)$(BINDIR)/xosview
 		$(INSTALL) -m 644 xosview.1 $(DESTDIR)$(MANDIR)/man1/xosview.1
+		$(INSTALL) -m 644 xosview.desktop $(DESTDIR)$(XDGAPPSDIR)
+		$(INSTALL) -m 644 xosview.png $(DESTDIR)$(ICONDIR)/32x32/apps
 
 clean:
 		rm -f xosview $(OBJS) $(DEPS) defaultstring.cc

=== debian/changelog ===
xosview (1.21-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    + Use Github instead of upstream release download page.
  * debian/control:
    + Updated Standards-Version to 4.2.1
  * debian/rules:
    + Also install xosview.png

 -- Kartik Mistry <kartik@debian.org>  Mon, 15 Oct 2018 21:09:05 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libx11-dev,
                libxpm-dev,
                libxt-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/hills/xosview
 Vcs-Git: https://salsa.debian.org/debian/xosview.git
 Vcs-Browser: https://salsa.debian.org/debian/xosview

=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,8 @@
 		debian/xosview/usr/share/applications
 	install -m 0644 $(CURDIR)/xosview.xpm \
 		debian/xosview/usr/share/pixmaps
+	install -m 0644 $(CURDIR)/xosview.png \
+		debian/xosview/usr/share/pixmaps
 
 binary-indep: build install

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xosview-$1.tar.gz%" \
     https://github.com/hills/xosview/tags \
     (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## xosview 1.22

=== debian/changelog ===
xosview (1.22-1) unstable; urgency=medium

  * New upstream release:
    + Fix build on arm by not including sys/io.h (Closes: #959509)
  * debian/control:
    + Switched to debhelper-compat.
    + Updated Standards-Version to 4.5.0
    + Added 'Rules-Requires-Root' field.
  * Use dh sequence in debian/rules.

 -- Kartik Mistry <kartik@debian.org>  Wed, 06 May 2020 21:29:15 +0530

xosview (1.21-2) unstable; urgency=low

  * Bumped dh to 12.
  * debian/control:
    + Updated Standards-Version to 4.4.1
  * Added debian/gitlab-ci.yml.

 -- Kartik Mistry <kartik@debian.org>  Mon, 21 Oct 2019 13:14:05 +0530

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: utils
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1),
                gawk,
                libkvm-dev [kfreebsd-any],
                libx11-dev,
                libxpm-dev,
                libxt-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/hills/xosview
 Vcs-Git: https://salsa.debian.org/debian/xosview.git
 Vcs-Browser: https://salsa.debian.org/debian/xosview
+Rules-Requires-Root: no
 
 Package: xosview
 Architecture: any

## xosview 1.23

=== debian/changelog ===
xosview (1.23-2) unstable; urgency=low

  [ Pino Toscano ]
  * Fix/simplify installation: use the upstream install target to install as
    upstream does, without the need to copy files manually.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 1.8.2-12, 1.8.2-8.1.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.6.0

 -- Kartik Mistry <kartik@debian.org>  Sat, 30 Oct 2021 19:16:54 +0530

xosview (1.23-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 4.5.1
  * Added debian/upstream/metadata.
  * Clarify license text in debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Sat, 16 Jan 2021 13:47:34 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libx11-dev,
                libxpm-dev,
                libxt-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/hills/xosview
 Vcs-Git: https://salsa.debian.org/debian/xosview.git
 Vcs-Browser: https://salsa.debian.org/debian/xosview

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

CXX=g++

PLATFORM_MAP_linux = linux
PLATFORM_MAP_kfreebsd = bsd
PLATFORM_MAP_hurd = gnu
PLATFORM = $(PLATFORM_MAP_$(DEB_HOST_ARCH_OS))
ifeq ($(PLATFORM),)
  $(error Missing implementation for $(DEB_HOST_ARCH_OS))
endif

ARCH_MAP_amd64 = x86_64
ARCH = $(or $(ARCH_MAP_$(DEB_HOST_ARCH_CPU)),$(DEB_HOST_ARCH_CPU))

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PLATFORM=$(PLATFORM) ARCH=$(ARCH)

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	install -m 0644 Xdefaults \
		debian/xosview/etc/X11/app-defaults/XOsview
	grep xosvstipple Xdefaults.stipple >> \
		debian/xosview/etc/X11/app-defaults/XOsview

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES

## xosview 1.24

=== Makefile ===
--- 
+++ 
@@ -33,6 +33,7 @@
 	llist.o \
 	main.o \
 	meter.o \
+	stringutils.o \
 	xosview.o \
 	xwin.o

=== debian/changelog ===
xosview (1.24-1) unstable; urgency=low

  [ Kartik Mistry ]
  * New upstream release.
  * Updated Standards-Version to 4.6.2
  * Updated debian/copyright.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

 -- Kartik Mistry <kartik@debian.org>  Fri, 03 Feb 2023 11:01:32 +0530

xosview (1.23-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Also pass PLATFORM and ARCH to dh_auto_install.
    (Closes: #999341)

  [ Kartik Mistry ]
  * Updated debian/copyright.
  * Updated debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Sat, 09 Apr 2022 19:30:22 +0530

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.16.1),
                gawk,
                libkvm-dev [kfreebsd-any],
                libx11-dev,
                libxpm-dev,
                libxt-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/hills/xosview
 Vcs-Git: https://salsa.debian.org/debian/xosview.git
 Vcs-Browser: https://salsa.debian.org/debian/xosview

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	dh_auto_build -- PLATFORM=$(PLATFORM) ARCH=$(ARCH)
 
 override_dh_auto_install:
-	dh_auto_install -- PREFIX=/usr
+	dh_auto_install -- PREFIX=/usr PLATFORM=$(PLATFORM) ARCH=$(ARCH)
 	install -m 0644 Xdefaults \
 		debian/xosview/etc/X11/app-defaults/XOsview
 	grep xosvstipple Xdefaults.stipple >> \

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
     https://github.com/hills/xosview/tags \
     (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## xosview 1.25

=== debian/changelog ===
xosview (1.25-1) unstable; urgency=low

  * New upstream release.
  * Dropped debian/patches/accute.diff, merged upstream.
  * debian/control:
    + Removed libkvm-dev from Build-Depends. kfreebsd is no longer supported.
    + Updated Standards-Version to 4.7.3
    + Removed redundant field 'Priority'.

 -- Kartik Mistry <kartik@debian.org>  Fri, 23 Jan 2026 11:23:32 +0530

xosview (1.24-2) unstable; urgency=low

  * Updated debian/watch to standard 5.
  * debian/control:
    + Updated Standards-Version to 4.7.2
    + Removed: Rules-Requires-Root field.
  * debian/copyright:
    + Removed old FSF address.
  * Added patch fix quotation marks in manpage, patch already merged upstream.

 -- Kartik Mistry <kartik@debian.org>  Tue, 25 Nov 2025 11:42:53 +0530

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,11 @@
 Source: xosview
 Section: utils
-Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               gawk,
-               libkvm-dev [kfreebsd-any],
-               libx11-dev,
-               libxpm-dev,
-               libxt-dev
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), gawk, libx11-dev, libxpm-dev, libxt-dev
+Standards-Version: 4.7.3
 Homepage: https://github.com/hills/xosview
 Vcs-Git: https://salsa.debian.org/debian/xosview.git
 Vcs-Browser: https://salsa.debian.org/debian/xosview
-Rules-Requires-Root: no
 
 Package: xosview
 Architecture: any

=== debian/watch ===
Version: 5

Template: Github
Owner: hills
Project: xosview
